/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
gcp@hendriklipka.de
*/

package de.hendriklipka.gcp.event;

import java.util.Properties;

import org.log4j.Category;

import de.hendriklipka.gcp.module.control.PlayerInfo;
import de.hendriklipka.gcp.module.control.ServerInfo;

/**
    response for a GameControlEvent
*/
public class GameControlResponse
{
    static Category CAT = Category.getInstance(GameControlResponse.class.getName());

    public String _errorMsg=null;
    public String _response=null;
    public Properties _serverInfo=null;
    public Properties _localInfo=null;
    public PlayerInfo _playerInfo=null;
    public PlayerInfo[] _playerList=null;
    public ServerInfo _serverStatus=null;
}
