/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along with this
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
gcp@hendriklipka.de
*/

package de.hendriklipka.gcp.event;

import org.log4j.Category;

public class ProcessControlEvent
{
  static Category CAT = Category.getInstance(ProcessControlEvent.class.getName());

  public final static String NAME="ProcessControl";

  public int _type=-1;

  public static final int USER_DEFINED=0;
  public static final int KILL_PROCESS=2;
  public static final int SHUTDOWN=4;
  public static final int STARTUP=6;
}