/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
gcp@hendriklipka.de
*/

package de.hendriklipka.gcp.event;

import org.log4j.Category;

/**
    this is event is send when a RConCommandHandler finds a rcon command
*/
public class RConUserCommandEvent
{
    static Category CAT = Category.getInstance(RConUserCommandEvent.class.getName());

  public final static String NAME="RConUserCommand";
  
  public String _password=null; // password - should null every time (because otherwise the user has authenticated :)
  public String _ip=null; // IP of sender
  public String _commandLine=null; // complete line of the command
  public String _command=null; // line without command prefix
}
