package de.hendriklipka.gcp.module.admin.handler;

import org.log4j.Category;

import org.w3c.dom.*;

import de.hendriklipka.databus.*;
import de.hendriklipka.util.*;

import de.hendriklipka.gcp.exception.*;
import de.hendriklipka.gcp.event.*;

/**
    interface for all CommandHandlers
    @see de.hendriklipka.gcp.module.input.network.NetworkControlHandler
*/
public abstract class CommandHandler implements de.hendriklipka.databus.DataBusProducer
{
    static Category CAT = Category.getInstance(CommandHandler.class.getName());
    
    protected DataBus _bus=null;
        
    public abstract CommandResponse handleCommand(String s);
    public abstract String[] getHandlerCommands();
    
    public void init(DataBus bus, Node node)
    {
        _bus=bus;
    }
}

