/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
gcp@hendriklipka.de
*/

package de.hendriklipka.gcp.module.control;

import java.util.*;

import org.w3c.dom.Node;
import org.log4j.Category;

import de.hendriklipka.gcp.module.*;
import de.hendriklipka.gcp.exception.*;
import de.hendriklipka.databus.*;
import de.hendriklipka.gcp.event.*;

/**
    this class is responsible for knowing the current state of the running game
    so we can ask this handler instead of the game server
*/
//ToDo - implement 
public class GameStatusHandler implements DataBusComponent, DataBusConsumer
{
    static Category CAT = Category.getInstance(GameStatusHandler.class.getName());

    protected DataBus _bus=null;
    
    public void init(DataBus bus, Node configNode)
    {
        _bus=bus;
        _bus.addConsumer(this,GameStatusEvent.NAME);
    }

    public void dataAvailable(de.hendriklipka.databus.DataBusEvent o)
    {
        GameStatusEvent gse=(GameStatusEvent)o._data;
    }

    public void start()
    {
    }
        
    public void shutdown()
    {
    }
        
    public void deInitialize()
    {
    }
        
    public void reconfig(Node configNode)
    {
    }
        
    public void preStartup() throws Exception
    {
    }
    
    public void postStartup() throws Exception
    {
    }
}
