/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
gcp@hendriklipka.de
*/

package de.hendriklipka.gcp.module.control.quake;

import org.w3c.dom.Node;
import org.log4j.Category;

import de.hendriklipka.databus.*;

import de.hendriklipka.gcp.exception.*;
import de.hendriklipka.gcp.event.*;
import de.hendriklipka.gcp.module.control.*;

/**
  Sends command to a running program using StdIn / Stdout.
  currently not implemented...
*/
import de.hendriklipka.gcp.module.input.*;

public class ConsoleProtocolHandler implements DataBusComponent,DataBusConsumer
{
    static Category CAT = Category.getInstance(ConsoleProtocolHandler.class.getName());

    protected DataBus _bus=null;
        
    public void init(DataBus bus, Node configNode)
    {
    _bus=bus;
    }
      
    public String sendRequest(String command)
    {
        return null;
    }
    
    public synchronized void dataAvailable(de.hendriklipka.databus.DataBusEvent o)
    {
    }
      
    public String sendShutdownRequest()
    {
    return "";
    }
      
    public String sendPlayerListRequest()
    {
    return "";
    }
      
    public String sendPlayerInfoRequest(String name)
    {
    return "";
    }
      
    public String sendServerStatusRequest()
    {
    return "";
    }
      
    public String sendSetLocalVarRequest(String name)
    {
    return "";
    }
      
    public String sendGetLocalVarsRequest()
    {
    return "";
    }
      
    public String sendSetServerVarRequest(String name)
    {
    return "";
    }
      
    public String sendGetServerVarsRequest()
    {
    return "";
    }
      
    public void start()
    {
    }
            
    public void shutdown()
    {
    }
            
    public void deInitialize()
    {
    }
            
    public void reconfig(Node configNode)
    {
    }
            
    public void preStartup() throws Exception
    {
    }
    
    public void postStartup() throws Exception
    {
    }
}
